Run a SQL query
Run a SQL query against a database service, streaming NDJSON status.
POST
/api/v1/database-services/{id}/sql/api/executeQueryAuthorization
tse_sessionAPI key · cookierequiredPath parameters
idstringrequiredRequest body
requiredapplication/jsonprojectIdstringquerystringrunIdstringrequiredserviceIdstringstatementsstring[]timeoutstringThe timeout of the run as a duration, for example 30s or 5m. The default is 30s. The maximum is 2m in read-only mode and 15m in write mode; a longer value gets the maximum.
Responses
200
OK
default
Error
codestringStable code of the refusal, when the route has codes
detailsstring[]Additional detail, e.g. per-field validation failures
errorstringrequiredHuman-readable error message